package cz.muni.fi.pa165.mapper;

import cz.muni.fi.pa165.data.entity.Song;
import cz.muni.fi.pa165.model.song.SongDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = "spring")
public interface SongMapper {

    SongMapper INSTANCE = Mappers.getMapper(SongMapper.class);

    @Mapping(source = "album.id", target = "albumId")
    SongDTO songToSongDTO(Song song);

    Song songDTOToSong(SongDTO songDTO);

}
