package cz.muni.fi.pa165.mapper;

import cz.muni.fi.pa165.data.entity.TourStop;
import cz.muni.fi.pa165.model.tour.TourStopDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = "spring")
public interface TourStopMapper {
    TourStopMapper INSTANCE = Mappers.getMapper(TourStopMapper.class);

    @Mapping(source = "tour.id", target = "tourId")
    TourStopDTO tourStopToTourStopDTO(TourStop tourStop);

    TourStop tourStopDTOToTourStop(TourStopDTO tourStopDTO);
}
