package cz.muni.fi.pa165.model.song;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;

import java.time.Duration;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class SongDTO {

    private long id;

    @NotBlank
    private String name;

    @NotNull
    private Long durationInSeconds;

    @NotNull
    private Long albumId;

}
