package cz.muni.fi.pa165.service.tour;

import cz.muni.fi.pa165.data.entity.TourStop;
import cz.muni.fi.pa165.model.tour.TourCreateDTO;
import cz.muni.fi.pa165.model.tour.TourDTO;
import cz.muni.fi.pa165.model.tour.TourStopDTO;

import java.util.List;

public interface TourService {
    
    TourDTO createTour(TourCreateDTO tourCreateDTO);

    TourDTO getTourById(long id);
    
    TourDTO updateTourById(long id, TourDTO tourDTO);
    
    void removeTourById(long id);

    TourStopDTO createTourStop(long id, TourStopDTO tourStopDTO);

    TourDTO deleteTourStop(long id, long tourStopId);

    List<TourStopDTO> getAllTourStops(long id);
    
}
