package cz.muni.fi.pa165.model.tour;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;

import java.time.LocalDate;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TourStopDTO {

    private long id;

    @NotNull
    private LocalDate date;

    @NotBlank
    private String city;

    @NotNull
    private Long tourId;

}
