package cz.muni.fi.pa165.service.band;

import cz.muni.fi.pa165.model.band.BandDTO;
import cz.muni.fi.pa165.model.band.BandCreateDTO;
import org.springframework.http.ResponseEntity;
import org.springframework.security.oauth2.server.resource.authentication.BearerTokenAuthentication;
import org.springframework.web.bind.annotation.PathVariable;

public interface BandService {
    
    BandDTO createBand(BandCreateDTO bandDTO);

    BandDTO getBandById(long id);
    
    BandDTO updateBandById(long id, BandDTO bandDTO);
    
    void removeBandById(long id);

    void addTeamMemberToBand(long id, long teamMemberId);
    
}
